Get invoice data

Obtains all the information of a invoice from its ID. Invoices are automatically schedules and charged based on the recurrence defined in the subscription.

GET

https://api.mercadopago.com/authorized_payments/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
number

REQUIRED

Authorized payment identifier.
Response parameters
id
number
Unique invoice identifier.
type
string
Type of invoice generated based on recurrence.
scheduled: Payment automatically generated and scheduled by the recurrence engine.
date_created
string
Invoice creation date.
last_modified
string
Invoice last modified date. An invoice is modified when an update occurs in collection attempts or payment.
Errors

400Error

400

Bad-request

401Error

401

Unauthorized

500Error

500

Error

Request
curl -X GET \
    'https://api.mercadopago.com/authorized_payments/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********550113-12*********b4773884a*********e8df16347*********786' \
    
Response
{
  "id": 6114264375,
  "type": "scheduled",
  "date_created": "2022-01-01T11:12:25.892-04:00",
  "last_modified": "2022-01-01T11:12:25.892-04:00",
  "preapproval_id": "2c938084726fca480172750000000000",
  "reason": "Yoga classes",
  "external_reference": 23546246234,
  "currency_id": "PEN",
  "transaction_amount": "24.50",
  "debit_date": "2022-01-01T11:12:25.892-04:00",
  "retry_attempt": 4,
  "status": "scheduled",
  "summarized": "pending",
  "payment": {
    "id": 19951521071,
    "status": "approved",
    "status_detail": "accredited"
  }
}